Bug 916176 - Add a namespace prefix to glance hardware properties used by libvirt
Add a namespace prefix to glance hardware properties used by libvirt
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity high
: snapshot5
: 2.1
Assigned To: Daniel Berrange
Kashyap Chamarthy
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-27 08:15 EST by Daniel Berrange
Modified: 2013-04-04 16:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: openstack-nova-2012.2.3-5.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 16:21:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1132739 None None None Never
OpenStack gerrit 23081 None None None Never

  None (edit)
Description Daniel Berrange 2013-02-27 08:15:27 EST
Description of problem:
Per this bug, upstream is likely going to rename the glance image properties used by libvirt to determine hardware models.

  https://bugs.launchpad.net/nova/+bug/1132739

since we backported these properties to RHOS, we *MUST* do the rename too, otherwise we'll have a huge backcompat problem.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2013-02-27 08:17:35 EST
Upstream review for patch https://review.openstack.org/#/c/23081/
Comment 6 Kashyap Chamarthy 2013-03-18 16:03:47 EDT
VERIFIED.

1] Version info:
#-------------#
$ cat /etc/redhat-release ; arch
Red Hat Enterprise Linux Server release 6.4 (Santiago)
x86_64
#-------------#


2] Ensure the fix is in:
#-------------#
$ rpm -q openstack-nova --changelog | grep -i 916176
- Add a namespace prefix to glance hardware properties #916176
#-------------#


3] grep for the namespace prefix in relevant files:
#-------------#
$ grep hw_  -A1 -B1 /usr/lib/python2.6/site-packages/nova/virt/libvirt/blockinfo.py /usr/lib/python2.6/site-pack
ages/nova/virt/libvirt/vif.py
/usr/lib/python2.6/site-packages/nova/virt/libvirt/blockinfo.py-    if image_meta:
/usr/lib/python2.6/site-packages/nova/virt/libvirt/blockinfo.py:        key = "hw_" + device_type + "_bus"
/usr/lib/python2.6/site-packages/nova/virt/libvirt/blockinfo.py-        disk_bus = image_meta.get('properties', {}).get(key)
--
/usr/lib/python2.6/site-packages/nova/virt/libvirt/vif.py-            vif_model = image_meta.get('properties',
/usr/lib/python2.6/site-packages/nova/virt/libvirt/vif.py:                                       {}).get('hw_vif_model')
/usr/lib/python2.6/site-packages/nova/virt/libvirt/vif.py-            if vif_model is not None:
#-------------#
Comment 8 errata-xmlrpc 2013-04-04 16:21:43 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0709.html

Note You need to log in before you can comment on or make changes to this bug.